Debian Bug report logs - #707968
ITP: libcpanplus-perl -- API & CLI access to the CPAN mirrors

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 12 May 2013 11:54:02 UTC

Owned by: Dominic Hargreaves <dom@earth.li>

Severity: wishlist

Fixed in version libcpanplus-perl/0.9136-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#707968; Package wnpp. (Sun, 12 May 2013 11:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 12 May 2013 11:54:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libcpanplus-perl -- API & CLI access to the CPAN mirrors
Date: Sun, 12 May 2013 12:51:23 +0100
Package: wnpp
Severity: wishlist
Owner: Dominic Hargreaves <dom@earth.li>

* Package name    : libcpanplus-perl
  Version         : 0.9136
  Upstream Author : Chris Williams <chris@bingosnet.co.uk>
* URL             : https://metacpan.org/release/CPANPLUS
* License         : Perl
  Programming Lang: Perl
  Description     : API & CLI access to the CPAN mirrors

The CPANPLUS library is an API to the CPAN mirrors and a collection of
interactive shells, commandline programs, etc, that use this API.

This module is being deprecated from the perl base distribution in
5.18.0, so it is planned to package it separately to provide continuity.
The perl 5.18 packages will depend on, recommend or suggest deprecated
modules for one release cycle, as appropriate.



Added indication that bug 707968 blocks 702096 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 12 May 2013 12:54:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 19 May 2013 21:30:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#707968; Package wnpp. (Mon, 20 May 2013 19:15:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominic Hargreaves <dom@earth.li>. (Mon, 20 May 2013 19:15:15 GMT) Full text and rfc822 format available.

Message #14 received at 707968@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 707968@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#707968: ITP: libcpanplus-perl -- API & CLI access to the CPAN mirrors
Date: Mon, 20 May 2013 22:14:38 +0300
On Sun, May 12, 2013 at 12:51:23PM +0100, Dominic Hargreaves wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Dominic Hargreaves <dom@earth.li>
> 
> * Package name    : libcpanplus-perl
>   Version         : 0.9136
>   Upstream Author : Chris Williams <chris@bingosnet.co.uk>
> * URL             : https://metacpan.org/release/CPANPLUS
> * License         : Perl
>   Programming Lang: Perl
>   Description     : API & CLI access to the CPAN mirrors
> 
> The CPANPLUS library is an API to the CPAN mirrors and a collection of
> interactive shells, commandline programs, etc, that use this API.

Whoever actually packages this (Gregor?), please note that CPANPLUS is
patched in the 'perl' package for a Debian specific configuration file
path and INSTALLDIRS defaults. See

 http://patch-tracker.debian.org/patch/series/view/perl/5.14.2-21/debian/cpanplus_definstalldirs.diff
 http://patch-tracker.debian.org/patch/series/view/perl/5.14.2-21/debian/cpanplus_config_path.diff

I think those patches need to go in the separate package too.

Also, perhaps it should provide a 'cpanplus' virtual package due to the
command line interface?
-- 
Niko Tyni   ntyni@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#707968; Package wnpp. (Mon, 20 May 2013 20:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominic Hargreaves <dom@earth.li>. (Mon, 20 May 2013 20:57:07 GMT) Full text and rfc822 format available.

Message #19 received at 707968@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 707968@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#707968: ITP: libcpanplus-perl -- API & CLI access to the CPAN mirrors
Date: Mon, 20 May 2013 22:54:18 +0200
[Message part 1 (text/plain, inline)]
On Mon, 20 May 2013 22:14:38 +0300, Niko Tyni wrote:

> > * Package name    : libcpanplus-perl

> Whoever actually packages this (Gregor?), please note that CPANPLUS is
> patched in the 'perl' package for a Debian specific configuration file
> path and INSTALLDIRS defaults. See
> 
>  http://patch-tracker.debian.org/patch/series/view/perl/5.14.2-21/debian/cpanplus_definstalldirs.diff
>  http://patch-tracker.debian.org/patch/series/view/perl/5.14.2-21/debian/cpanplus_config_path.diff
> 
> I think those patches need to go in the separate package too.

Thanks alot, I had indeed missed them.
Added now in -2.
 
> Also, perhaps it should provide a 'cpanplus' virtual package due to the
> command line interface?

Good idea, added too.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Rolling Stones: Living
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 31 May 2013 10:03:20 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 31 May 2013 10:03:20 GMT) Full text and rfc822 format available.

Message #24 received at 707968-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 707968-close@bugs.debian.org
Subject: Bug#707968: fixed in libcpanplus-perl 0.9136-1
Date: Fri, 31 May 2013 10:02:18 +0000
Source: libcpanplus-perl
Source-Version: 0.9136-1

We believe that the bug you reported is fixed in the latest version of
libcpanplus-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707968@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libcpanplus-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 May 2013 21:19:22 +0200
Source: libcpanplus-perl
Binary: libcpanplus-perl
Architecture: source all
Version: 0.9136-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libcpanplus-perl - API & CLI access to the CPAN mirrors
Closes: 707968
Changes: 
 libcpanplus-perl (0.9136-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #707968)
Checksums-Sha1: 
 d103abc7cb42181776c20ed8d769c09843c8664d 2052 libcpanplus-perl_0.9136-1.dsc
 86ae75f43d564ba0beee78a6e505e47567b2c898 519065 libcpanplus-perl_0.9136.orig.tar.gz
 fada46ed32daccebdd4582537ef3640a45683083 4268 libcpanplus-perl_0.9136-1.debian.tar.gz
 5d4516f864aed5e6706ef0f4a2cca5894e234577 320178 libcpanplus-perl_0.9136-1_all.deb
Checksums-Sha256: 
 47e4f540d2fdccbe21f2eab630636845b74abd6136de317aca7a7e6bb9893238 2052 libcpanplus-perl_0.9136-1.dsc
 aceb85c011ba7c45eaef7b4ff52ea1f5dcde5a4cfe4638370750ef49108542df 519065 libcpanplus-perl_0.9136.orig.tar.gz
 f84904b4572fc1b8a1c209237b249b0bdf2a042017b569ba3d8b6816ddb5ff47 4268 libcpanplus-perl_0.9136-1.debian.tar.gz
 de4b55f9203ab30cf7065f9d8908f38c9f7a2466ebc2dd7aeb5690cc8f769cda 320178 libcpanplus-perl_0.9136-1_all.deb
Files: 
 dccf3d79930317cdfcfb7cb5496ce11f 2052 perl optional libcpanplus-perl_0.9136-1.dsc
 c7f54d07a01814cff9dbec8227ef8fc7 519065 perl optional libcpanplus-perl_0.9136.orig.tar.gz
 f6a24d65c205ffefac15b225ac834c34 4268 perl optional libcpanplus-perl_0.9136-1.debian.tar.gz
 c38f5d30691d8cd1f693ce7ff38e1917 320178 perl optional libcpanplus-perl_0.9136-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRmndnAAoJELs6aAGGSaoGklkP/2PZZjRgQpTXk3+CpX5qbL/q
Upmx9rEqLJvC+JNKqyx1AXdD/vhkuZuHvvRHY4KT0ykACgo2wbrQrw1mpeQCdMCw
49yZRHvCI8HLSuqjnkehkL5Yi0ONbiz+DEfF/GrtfSOdhn8wf9yXD0QN3xBA+2VS
7Y6+3/bs7777Cd2sVJMXd8ZphBvocLpBwNBRBD+hQJhlue9G/ay4CxwnFFJEIAra
gSm4npvmFAyttx3dU75e/P99VnK5EbDG4XTQFHSLAOg9GHMMNVN5lckNzPqd7ai8
wLjnIoU5lwg3phCv3ZP4s/KUmNW2w7Ei7GwMONt/It/1O+u6lIkMJzGLyfLSQL8j
aj3u0ARVU4U/HIhb32/wY/lux3Br4Beft7dPyIMw9P0MpYaNapz8qdGEgeUFUyOm
krcNrIV+/7ruc7jHepv1GSgHzlY8ZPWhEKKNKK+vhMw38zvfydmUZV8FrPsLDZZC
lUH1/fPDgPGBcz90V0rAu7TwfMXI2PYQvxP+csONLqvv0yZENTbGsrK0d6n2Naif
jt+Dvpj+IgXHpj0wwEYXpqeczZxryZOKirm3QUnrHU76vk6JZVYNPPC4bIJ0zouI
xgsPAdgQz99oMVrg38cOhmW7MNuHHEicHGRFNQ45RabdarT0ZMWO602glCmsxMiy
6SbuekQ5noMHWAkJHeCf
=d1yS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:38:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:20:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.